This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 648656 - (CVE-2010-4072) CVE-2010-4072 kernel: ipc/shm.c: reading uninitialized stack memory
CVE-2010-4072 kernel: ipc/shm.c: reading uninitialized stack memory
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20101006,reported=20101007,sou...
: Security
Depends On: 648685 648686 648687 648688 648689 648816 648817
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-01 17:11 EDT by Petr Matousek
Modified: 2015-08-31 23:55 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2010-11-01 17:11:27 EDT
Description of problem:
The old shm interface allows unprivileged users to read uninitialized stack memory, because shmid_ds structure declared on the stack is not altered or zeroed before being copied back to the user.

Reference:
http://www.openwall.com/lists/oss-security/2010/10/07/1
http://lkml.org/lkml/2010/10/6/454

Acknowledgements:

Red Hat would like to thank Vasiliy Kulikov of Openwall and Kees Cook for reporting this issue.
Comment 3 Petr Matousek 2010-11-02 06:32:24 EDT
Statement:

This issue is not planned to be fixed in Red Hat Enterprise Linux 3, due to this product being in Extended Life Cycle Phase of its maintenance life-cycle, where only qualified security errata of critical impact are addressed.
                                   
For further information about the Errata Support Policy, visit:
http://www.redhat.com/security/updates/errata
Comment 5 Eugene Teo (Security Response) 2010-11-22 08:25:55 EST
Upstream commit:
http://git.kernel.org/linus/3af54c9bd9e6f14f896aac1bb0e8405ae0bc7a44
Comment 6 Kyle McMartin 2010-11-23 11:02:14 EST
Thanks, picked this up for Fedora (since it also seems missing from the latest stable.)
Comment 7 errata-xmlrpc 2010-12-08 14:09:47 EST
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0958 https://rhn.redhat.com/errata/RHSA-2010-0958.html
Comment 8 errata-xmlrpc 2011-01-11 14:46:16 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0007 https://rhn.redhat.com/errata/RHSA-2011-0007.html
Comment 9 errata-xmlrpc 2011-01-13 16:58:53 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0017 https://rhn.redhat.com/errata/RHSA-2011-0017.html
Comment 10 errata-xmlrpc 2011-01-14 04:02:46 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0017 https://rhn.redhat.com/errata/RHSA-2011-0017.html
Comment 11 errata-xmlrpc 2011-01-18 12:45:35 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:0162 https://rhn.redhat.com/errata/RHSA-2011-0162.html

Note You need to log in before you can comment on or make changes to this bug.